Skip to main content

CEP Technical Requirements

This article applies to: Campus Engagement Platform


The Campus Engagement Platform is based on Salesforce, which has the following requirements.

Browsers

  • Google Chrome (Latest)
  • Mozilla Firefox (Latest)
  • Apple Safari (11.x+)
  • Microsoft Edge (Latest)
Internet Explorer is NOT supported.

Some pages in Salesforce will open a new window by default. You may need to change your browser settings to allow pop-up windows from this site.

Was this page helpful?

Your feedback helps improve the site.

Comments?